## Index

### Classes

- ImportedRootElementAttributes
- ImportedXmlComponent

### Functions

- convertToXmlComponent

### Object literals

- parseOptions

## Functions

### convertToXmlComponent

- convertToXmlComponent(elementName: string, element: any): ImportedXmlComponent | ImportedXmlComponent[]

- - Defined in file/xml-components/imported-xml-component.ts:28

  Converts the given xml element (in json format) into XmlComponent. Note: If element is array, them it will return ImportedXmlComponent[]. Example for given: element = [ { w:t: "val 1"}, { w:t: "val 2"} ] will return [ ImportedXmlComponent { rootKey: "w:t", root: [ "val 1" ]}, ImportedXmlComponent { rootKey: "w:t", root: [ "val 2" ]} ]

  #### Parameters

  - ##### elementName: string

    name (rootKey) of the XmlComponent

  - ##### element: any

    the xml element in json presentation

  #### Returns ImportedXmlComponent | ImportedXmlComponent[]

## Object literals

### Const parseOptions

parseOptions: object

- Defined in file/xml-components/imported-xml-component.ts:6

### attrNodeName

attrNodeName: string = "_attr"

- Defined in file/xml-components/imported-xml-component.ts:9

### attributeNamePrefix

attributeNamePrefix: string = ""

- Defined in file/xml-components/imported-xml-component.ts:8

### ignoreAttributes

ignoreAttributes: boolean = false

- Defined in file/xml-components/imported-xml-component.ts:7

Generated using TypeDoc